/*******************************************************************************
 * FoxObjectiveMarker generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxObjectiveMarker extends FoxObjectiveMarker_Base
    abstract
    native
    notplaceable
    hidecategories(Navigation,FoxGameObject,FoxGameObject);

var(Localization) string TitleLabel;
var(Localization) string DescriptionLabel;
var(Localization) string DescriptionXLabel;
var(Localization) string SectionName;
var(Localization) string PackageName;
var(Display) float DisplayTime;
var(Display) int DisplayIndex;
var(Objective) repnotify int ExperienceReward;
var(Objective) repnotify bool bHiddenObjective;

replication
{
    // Pos:0x000
    if(bNetDirty && Role == ROLE_Authority)
        DisplayIndex, ExperienceReward, 
        bHiddenObjective
}

simulated function ShowMarker(FoxHUD HUD)
{
    // End:0x40
    if((HUD != none) && !bHiddenObjective)
    {
        HUD.AddPostRenderedActor(self);
    }
    //return;    
}

simulated function GetObjectiveInfo(FoxPC PCOwner, out string Title, out string Description)
{
    local string DescriptionX;

    Title = PCOwner.DynamicUI.ParseStringForCommands(Localize(SectionName, TitleLabel, PackageName));
    DescriptionX = PCOwner.DynamicUI.ParseStringForCommands(Localize(SectionName, DescriptionXLabel, PackageName));
    // End:0x160
    if((class'WorldInfo'.static.IsConsoleBuild(8) || PCOwner.MyFoxInput.bUsingGamepad) && InStr(DescriptionX, "?Objectives", false, true) == -1)
    {
        Description = DescriptionX;
    }
    // End:0x1C3
    else
    {
        Description = PCOwner.DynamicUI.ParseStringForCommands(Localize(SectionName, DescriptionLabel, PackageName));
    }
    //return;    
}

simulated function NotifyObjectiveCompleted()
{
    local FoxPC PC;

    bActive = false;
    // End:0xF9
    foreach LocalPlayerControllers(class'FoxPC', PC)
    {
        // End:0x84
        if(PC.MyFoxHud != none)
        {
            PC.MyFoxHud.RemoveObjective(self);
        }
        // End:0xF8
        if(FoxPRI(PC.PlayerReplicationInfo) != none)
        {
            FoxPRI(PC.PlayerReplicationInfo).AddCombatPoints(ExperienceReward);
        }        
    }    
    //return;    
}

defaultproperties
{
    TitleLabel="Title"
    DescriptionLabel="Description"
    DescriptionXLabel="Description_x"
    PackageName="Objectives"
}